## org.eclipse.datatools.sqltools.result.internal.ui.export.component
Class EncodingDelimiterOptionsSection

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.export.component.EncodingDelimiterOptionsSection

    public class EncodingDelimiterOptionsSection

extends java.lang.Object

The encoding and delimiter options UI area.

Author:
  Dafan Yang

Constructor Summary
`EncodingDelimiterOptionsSection(org.eclipse.swt.widgets.Composite parent, int numColumns, org.eclipse.swt.widgets.Listener listener)`

Method Summary
`java.lang.String` `getDelimiter()` Returns the delimiter
`java.lang.String` `getEncoding()` Returns the encoding
`org.eclipse.core.runtime.IStatus` `getStatus()` Returns the status of this UI section
`java.lang.String` `getUserDefinedDelimiter()` Returns the user defined delimiter
`void` `setSupportDelimiter(boolean delimiter)`
`boolean` `supportDelimiter()`
`void` `updateOptionsSection()`
`void` `updateTxtExportControls()`
`void` `updateXMLExportControls()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncodingDelimiterOptionsSection

    public EncodingDelimiterOptionsSection(org.eclipse.swt.widgets.Composite parent,
                                           int numColumns,
                                           org.eclipse.swt.widgets.Listener listener)

Method Detail

### updateOptionsSection

    public void updateOptionsSection()

### updateTxtExportControls

    public void updateTxtExportControls()

### updateXMLExportControls

    public void updateXMLExportControls()

### getDelimiter

    public java.lang.String getDelimiter()

  Returns the delimiter

  Returns:
    delimiter the delimiter

### getUserDefinedDelimiter

    public java.lang.String getUserDefinedDelimiter()

  Returns the user defined delimiter

  Returns:
    the user defined delimiter

### getEncoding

    public java.lang.String getEncoding()

  Returns the encoding

  Returns:
    the encoding

### getStatus

    public org.eclipse.core.runtime.IStatus getStatus()

  Returns the status of this UI section

  Returns:
    the status

### supportDelimiter

    public boolean supportDelimiter()

### setSupportDelimiter

    public void setSupportDelimiter(boolean delimiter)